* {
  margin: 0;
  box-sizing: border-box;
}

:root {
  scroll-behavior: smooth;
  --white: #ffffff;
  --orange: rgb(255, 166, 0);
  --background: #000000;
}

body {
  font-family: "Century Gothic", sans-serif;
}

.container {
  width: 100%;
  max-width: 100vw;
  overflow: hidden;
  padding: 60px 0;
}

.container--page {
  padding: 0;
}

/* Menú */

.nav {
  height: 60px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.nav__menu {
  background-color: var(--white);
  width: 35px;
  cursor: pointer;
  z-index: 100;
  border-radius: 5px;
}

.nav__list {
  position: absolute;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  background-color: var(--orange);
  padding: 80px 0;

  display: grid;
  place-content: center;
  text-align: center;
  gap: 2.5rem;

  list-style: none;

  transform: translate(-100%);
  transition: transform 0.3s;
}

.nav__list--show {
  transform: translate(0);
}

.nav__link {
  text-decoration: none;
  color: #fff;
  font-weight: 500;
}

/* page-main */

.page__main {
  display: flex;
  flex-direction: column;
  padding: 0 40px;
  gap: 40px;
  background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
    url(/Portada.jpg);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  background-attachment: fixed;
}

.page__figure {
  order: -1;
  padding: 20px 0;
}

.page__img {
  width: 100%;
  display: block;
  max-width: 400px;
  margin: 0 auto;
}

.page__texts {
  display: grid;
  gap: 1.5rem;
  text-align: center;
  padding-bottom: 70px;
}

.page__title {
  font-size: 3rem;
  color: var(--background);
}

.page__paragraph {
  line-height: 1.5;
  font-weight: 300;
  margin-bottom: 0.5rem;
}

.page__cta {
  background-color: #fdb931;
  color: #fff;
  text-decoration: none;
  padding: 1em 3em;
  justify-self: center;
  border-radius: 6px;
  transition: background-color 0.3s;
}

.page__cta:hover {
  background-color: #ffd607;
}

.page__cta1 {
  background-color: var(--orange);
  padding: 1em 2em;
  border-radius: 10px;
  margin-left: 10px;
  font-weight: bold;
  color: #fff;
  text-decoration: none;
  justify-self: center;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
}

/* about */

.about {
  background-color: #000000;
}

.about__container {
  display: flex;
  flex-direction: row;
  gap: 1rem;
}

.about__texts {
  text-align: end;
  display: grid;
  gap: 1.5rem;
}

.btns {
  display: flex;
  height: auto;
}

.subtitle {
  text-align: center;
  font-size: 2.1rem;
  color: var(--background);
}

.paragraph {
  line-height: 1.5;
  font-weight: 300;
  color: var(--orange);
}

.paragraph1 {
  line-height: 1.5;
  font-weight: 800;
  font-size: 20px;
  font-style: italic;
  color: var(--orange);
}

/* learn */

.learn__articles {
  margin-top: 3rem;
  display: grid;
  gap: 3rem;
}

.learn__article {
  text-align: center;
  max-width: 500px;
  margin: 0 auto;

  display: grid;
  gap: 1rem;
}

.learn__img {
  display: block;
  margin: 0 auto;
  max-width: 250px;
  width: 60%;
}

/* sponsor */

.sponsor {
  background-color: var(--background);
  text-align: center;
}

.sponsor__img {
  width: 100%;
  max-width: 280px;
  margin: 0 auto;
  display: block;
}

.sponsor__texts {
  display: grid;
  gap: 1.5rem;
  margin-bottom: 3rem;
}

.sponsor__cta {
  background-color: var(--orange);
  color: #fff;
  padding: 1em 3em;
  text-decoration: none;

  justify-self: center;

  text-align: center;

  border-radius: 6px;
  font-weight: 700;
}

/* footer */

.footer__contact {
  display: flex;
  justify-content: center;
  gap: 1rem;
  list-style: none;
  padding: 0;
  margin-top: 3rem;
}

.footer__link {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 50px;
  height: 50px;
  border-radius: 20%;
  background-color: transparent;
}

.footer__img {
  width: 28px;
}

@media (min-width: 768px) {
  .nav__menu {
    display: none;
  }

  .nav {
    padding: 0 50px;
    background-color: #000000;
    position: fixed;
  }

  .nav__list {
    position: static;
    background-color: transparent;
    padding: 0;
    display: flex;
    gap: 2rem;
    list-style: none;
    transform: unset;
    transition: none;
  }

  .nav__list--show {
    transform: unset;
  }

  .nav__logo {
    border-radius: 9px;
  }

  .nav__link {
    color: var(--white);
    font-size: 15px;
    font-weight: bold;
  }

  .nav__item:hover {
    transform: scale(1.1);
    transition: transform 0.3s;
  }

  /* page-main */

  .page__main {
    flex-direction: row;
    gap: 40px;
    min-height: 1150px;
    align-items: center;
  }

  .page__texts {
    width: 54%;
    text-align: start;
    gap: 1rem;
    padding-bottom: 0;
    margin-left: 40px;
  }

  .page__title {
    font-size: 6rem;
    color: var(--white);
  }

  .page__paragraph {
    margin-bottom: 0;
  }

  .page__cta {
    justify-self: start;
    margin-right: 12px;
    font-size: 25px;
  }

  /* about */

  .about__container {
    flex-direction: row-reverse;
    justify-content: center;
    align-items: center;
    height: 960px;
  }

  .about__container1 {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
  }

  .about1 {
    display: flex;
    flex-direction: row;
    gap: 1rem;
  }

  .sharon {
    margin-top: 190px;
    max-width: 590px;
  }

  .about__texts {
    width: 70%;
  }

  .subtitle {
    text-align: inherit;
    font-size: 2.5rem;
    color: var(--white);
  }

  .subtitle1 {
    font-size: 2.2rem;
    color: var(--background);
  }

  ::-webkit-scrollbar {
    display: none;
  }

  .horizontal-scroll-wrapper {
    width: 100%;
    height: 100%;
    overflow-x: scroll;
    white-space: nowrap;
  }

  .horizontal-scroll-wrapper img {
    width: 100%;
    border-radius: 12px;
  }

  .i1:hover {
    transform: scale(1.05);
    transition: 0.5s;
  }

  .i2:hover {
    transform: scale(1.05);
    transition: 0.5s;
  }

  .i3:hover {
    transform: scale(1.05);
    transition: 0.5s;
  }

  .i4:hover {
    transform: scale(1.05);
    transition: 0.5s;
  }

  .horizontal-scroll-wrapper div {
    display: inline-block;
    width: 400px;
    height: 250px;
    margin: 10px;
  }

  /* learn */

  .learn {
    text-align: center;
  }

  .learn__articles {
    gap: 2rem;
    grid-auto-flow: column;
    grid-auto-columns: 1fr;
  }

  .learn__article {
    gap: 1.5rem;
  }

  /* sponsor */

  .sponsor {
    text-align: start;
  }

  .sponsor__main {
    display: flex;
    gap: 3rem;
    align-items: center;
  }

  .sponsor__figure {
    width: 45%;
  }

  .sponsor__img {
    max-width: 400px;
  }

  .sponsor__texts {
    width: 55%;
    place-content: center;
    margin-bottom: 0;
  }

  .sponsor__cta {
    justify-self: start;
  }

  /* footer */

  .footer {
    text-align: center;
    background-color: var(--background);
  }

  .rts {
    color: var(--white);
    font-size: 15px;
    font-style: italic;
  }

  .columna {
    float: left;
    width: 32%;
    padding-right: 15px;
  }

  .fila::after {
    content: "";
    clear: both;
    display: table;
  }

  img {
    width: 100%;
    border-radius: 12px;
  }

  .logo {
    width: 40px;
  }

  .fotos {
    display: flex;
    flex-direction: column;
    width: 800px;
    margin: 0 auto;
  }

  .tutu {
    display: flex;
    align-items: center;
    width: 90%;
  }

  .frame {
    width: 35%;
    display: flex;
    justify-content: end;
  }

}
